# TdApi.CreateTemporaryPassword (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CreateTemporaryPassword

Package it.tdlight.jni

# Class TdApi.CreateTemporaryPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.CreateTemporaryPassword

Enclosing class:
  TdApi

    public static class TdApi.CreateTemporaryPassword
    extends TdApi.Function

Creates a new temporary password for processing payments.

Returns `TemporaryPasswordState`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `password` | Persistent user password.
`int` | `validFor` | Time during which the temporary password will be valid, in seconds; must be between 60 and 86400.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CreateTemporaryPassword()` | Creates a new temporary password for processing payments.
`CreateTemporaryPassword​(DataInput input)` |
`CreateTemporaryPassword​(String password, int validFor)` | Creates a new temporary password for processing payments.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### password

public String password
Persistent user password.

### validFor

public int validFor
Time during which the temporary password will be valid, in seconds; must be between 60 and 86400.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CreateTemporaryPassword

public CreateTemporaryPassword()
Creates a new temporary password for processing payments.

Returns `TemporaryPasswordState`

### CreateTemporaryPassword

public CreateTemporaryPassword​(String password, int validFor)
Creates a new temporary password for processing payments.

Returns `TemporaryPasswordState`

Parameters:
  `password` - String Persistent user password.
  `validFor` - int Time during which the temporary password will be valid, in seconds; must be between 60 and 86400.

### CreateTemporaryPassword

public CreateTemporaryPassword​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`